!Causal integration 2D

program Causint_prog

  use sep
  use util_axisIO

  use causint 

  implicit none

  !Apply an decaying cos envelop to the target series


  real,allocatable,dimension(:,:) :: in,out
  real,allocatable,dimension(:) :: trc_in,trc_out
  type (myaxis)  :: axis1,axis2

  integer :: stat
  integer :: n1, n2, i
  logical :: adj,add


  call sep_init()

  call hinaxis(axis1,1)
  call hinaxis(axis2,2)

  call houtaxis(axis1,1)
  call houtaxis(axis2,2)

  adj = .false.
  add = .false.




  n1 = axis1%n; n2 = axis2%n
  allocate(in(n1,n2), out(n1,n2))
  allocate(trc_in(n1), trc_out(n1))

  call sep_read(in)

  do i=1,n2
     trc_in = in(:,i)
     trc_out = 0
     stat = causint_lop ( adj, add, trc_in, trc_out)
     out(:,i) = trc_out
  end do

  call sep_write(out)

  deallocate(in,out,trc_in,trc_out)

  call sep_close()

end program Causint_prog
