module FT
  ! Slow FT 1-D

!d_scale=1./t_n

!    call D_FT1D(C(1:t_n),t_n,-1,d_scale)
 
  implicit none


contains


subroutine D_FT1D(C,nt,isign,scale)
    double complex ::C(nt)
    double complex, allocatable ::T(:)
    double PRECISION, allocatable ::w(:)
    integer ::isign,nt,iw,it
    double PRECISION::scale
    double PRECISION ::ow,dw,pi

    !write(0,*) "nt",nt

    allocate(T(nt),w(nt))
    T=0.
    w=0.

    pi = 2.*ACOS(0.0)
    dw = 2.*pi/(nt)
    ow = 0.
    do iw = 1, nt
       w(iw) = ow  + (iw - 1) * dw
       !write(0,*)  w(iw)
    end do


     do it=1,nt
         do iw=1,nt
             T(it)=T(it)+C(iw)*exp(cmplx(0,isign*w(iw)*(it-1)))
         end do
     end do

    !write(0,*)  real(T)
    !write(0,*) 'aaaaaaaaaaaaaaa'

    T=T*scale
    C(1:nt)=T(1:nt)



    deallocate(T,w)
end subroutine

end module FT