Program Md1D

  use sep
  use helix
  use polydiv

  implicit none

  real, dimension(:), allocatable      :: m1, m2, m3, m4, m5, m6
  real, dimension(:), allocatable      :: d1, d2, d3, d4, d5, d6
  type(filter)                         :: aa
  integer                              :: i, stat

  call sep_init(SOURCE)

  allocate(m1(51), m2(51), m3(51), m4(51), m5(51), m6(51))
  allocate(d1(51), d2(51), d3(51), d4(51), d5(51), d6(51))
  call allocatehelix(aa, 1)

  call to_history("n1", 51)
  call to_history("o1",  0)
  call to_history("d1",  1)
  call to_history("esize", 4)

  call to_history("n1", 51, "data2")
  call to_history("o1",  0, "data2")
  call to_history("d1",  1, "data2")
  call to_history("esize", 4, "data2")

  call to_history("n1", 51, "data3")
  call to_history("o1",  0, "data3")
  call to_history("d1",  1, "data3")
  call to_history("esize", 4, "data3")

  call to_history("n1", 51, "data4")
  call to_history("o1",  0, "data4")
  call to_history("d1",  1, "data4")
  call to_history("esize", 4, "data4")

  call to_history("n1", 51, "data5")
  call to_history("o1",  0, "data5")
  call to_history("d1",  1, "data5")
  call to_history("esize", 4, "data5")

  call to_history("n1", 51, "data6")
  call to_history("o1",  0, "data6")
  call to_history("d1",  1, "data6")
  call to_history("esize", 4, "data6")

  call to_history("n1", 51, "model1")
  call to_history("o1",  0, "model1")
  call to_history("d1",  1, "model1")
  call to_history("esize", 4, "model1")

  call to_history("n1", 51, "model2")
  call to_history("o1",  0, "model2")
  call to_history("d1",  1, "model2")
  call to_history("esize", 4, "model2")

  call to_history("n1", 51, "model3")
  call to_history("o1",  0, "model3")
  call to_history("d1",  1, "model3")
  call to_history("esize", 4, "model3")

  call to_history("n1", 51, "model4")
  call to_history("o1",  0, "model4")
  call to_history("d1",  1, "model4")
  call to_history("esize", 4, "model4")

  call to_history("n1", 51, "model5")
  call to_history("o1",  0, "model5")
  call to_history("d1",  1, "model5")
  call to_history("esize", 4, "model5")

  call to_history("n1", 51, "model6")
  call to_history("o1",  0, "model6")
  call to_history("d1",  1, "model6")
  call to_history("esize", 4, "model6")

  m1 = 0; m1(25) = 1.;
  m2 = 0; m2(10) = 1.; m2(26) = -1.3; m2(40) = 1.
  m3 = 0; m3(25) = 1.; m3(26) = 1.;
  m4 = 0; m4(25) = 1.; m4(27) = 1.;
  m5 = 0; m5(24) = 1.; m5(27) = 1.;
  m6 = 0; m6(25) = 1.; m6(26) = .5;

  aa%flt(1) = -.9;
  aa%lag(1) = 1;  

  d1 = 0.; d2 = 0.; d3 = 0.

  call polydiv_init(51, aa)

  stat = polydiv_lop(.false., .false., m1, d1)

  stat = polydiv_lop(.false., .false., m2, d2)

  stat = polydiv_lop(.false., .false., m3, d3)

  stat = polydiv_lop(.false., .false., m4, d4)

  stat = polydiv_lop(.false., .false., m5, d5)

  stat = polydiv_lop(.false., .false., m6, d6)

  call sep_write(d1)
  call sep_write(d2, "data2")
  call sep_write(d3, "data3")
  call sep_write(d4, "data4")
  call sep_write(d5, "data5")
  call sep_write(d6, "data6")

  call sep_write(m1, "model1")
  call sep_write(m2, "model2")
  call sep_write(m3, "model3")
  call sep_write(m4, "model4")
  call sep_write(m5, "model5")
  call sep_write(m6, "model6")

  call deallocatehelix(aa)
  deallocate(m1,m2,m3,m4,m5,m6)
  deallocate(d1,d2,d3,d4,d5,d6)

end Program Md1D
