! Gulf velocity function
program Vel
implicit none
real, allocatable, dimension (:) :: vrms
integer i,n1,n2,n3
real alpha, beta, twater
real vwater, d1
integer getch,hetch,putch
call initpar()
  if (0>= hetch('n1','d',n1 )) then
    call erexit('Trouble reading  n1 from history  ')
  end if
allocate (vrms(n1))

  if (0>= hetch('d1','f',d1 )) then
    call erexit('Trouble reading  d1 from history  ')
  end if
  if (0>= getch('vwater','f',vwater )) then
    vwater = 1475
  end if
  if (0.ne.putch('Read  from par:  vwater ','f',vwater)) then
    call erexit('Trouble writing vwater to history')
  end if
  write(0,*) 'vwater: from par is obsolete, please replace with from&
    & param'
  if (0>= getch('alpha','f',alpha )) then
    alpha = 400.
  end if
  if (0.ne.putch('Read  from par:  alpha ','f',alpha)) then
    call erexit('Trouble writing alpha to history')
  end if
  write(0,*) 'alpha: from par is obsolete, please replace with from&
    & param'
  if (0>= getch('beta','f',beta )) then
    beta = 0.6
  end if
  if (0.ne.putch('Read  from par:  beta ','f',beta)) then
    call erexit('Trouble writing beta to history')
  end if
  write(0,*) 'beta: from par is obsolete, please replace with from&
    & param'
  if (0>= getch('twater','f',twater )) then
    twater = 0.15
  end if
  if (0.ne.putch('Read  from par:  twater ','f',twater)) then
    call erexit('Trouble writing twater to history')
  end if
  write(0,*) 'twater: from par is obsolete, please replace with from&
    & param'
  if (0>= getch('n2','d',n2 )) then
    n2 = 1
  end if
  if (0.ne.putch('Read  from par:  n2 ','d',n2)) then
    call erexit('Trouble writing n2 to history')
  end if
  write(0,*) 'n2: from par is obsolete, please replace with from&
    & param'
  if (0>= getch('n3','d',n3 )) then
    n3 = 1
  end if
  if (0.ne.putch('Read  from par:  n3 ','d',n3)) then
    call erexit('Trouble writing n3 to history')
  end if
  write(0,*) 'n3: from par is obsolete, please replace with from&
    & param'
  if (0.ne. putch('n1','d',n1 )) then
    call erexit('Trouble writing  n1 to history  ')
  end if
  if (0.ne. putch('n2','d',n2 )) then
    call erexit('Trouble writing  n2 to history  ')
  end if
  if (0.ne. putch('n3','d',n3 )) then
    call erexit('Trouble writing  n3 to history  ')
  end if
call hclose()
vrms=0
do i=1,n1
  if ( i*d1 > twater ) then
    vrms(i)=vwater + alpha * (i*d1 - twater)**beta
  else
    vrms(i)=vwater
  end if
end do
call srite( 'out', vrms, n1*4)

end program Vel

