module misc
implicit none

contains

subroutine reverseArray(xx,yy,n1,n2)
	integer:: n1,n2
	real, dimension(n1,n2):: xx
	real, dimension(n1,n2):: yy
	integer:: i,j

!	n1 = size(xx,1)
!	n2 = size(xx,2);
	
	do j=1,n2
		do i=1,n1
		yy(i,j) = xx(n1+1-i,j)
		end do
	end do 
end subroutine

!Just do 1d or 2d
subroutine shiftArray(xx,n1,n2,iShift)
	integer:: n1,n2,iShift !iShift>0, means left shift
	real, dimension(n1,n2):: xx
	integer:: i,j

	if (iShift .lt. 0) then
		call erexit("iShift < 0")	
	else
		do j=1,n2
			do i=1,n1-iShift
			xx(i,j) = xx(i+iShift,j)
			end do
			do i=n1-iShift+1,n1
			xx(i,j) = 0.0
			end do
		end do
	endif
end subroutine

end module
