program Cos_env

  use sep
  use util_axisIO

  implicit none

  !Apply an decaying cos envelop to the target series

  integer n1
  real,allocatable,dimension(:) ::    coef, d
  character (len=80) ::label
  real, parameter :: pi=2*ACOS(0.0)
  integer i
  type (myaxis)  :: axis1


  call sep_init()

  call hinaxis(axis1,1)
  call print_axis(axis1)

  call houtaxis(axis1,1)
  call sep_close()

  n1 = axis1%n
  allocate(d(n1),coef(n1));
  call sep_read(d)

  do i=1,n1
     coef(i) = (cos(pi*(i-1)/(n1-1))+1)/2.0
     !coef(i) = cos(pi*(i-1)/(2*(n1-1)))
  end do
  d = d * coef
  call sep_write(d)

  deallocate(d,coef)
  

end program Cos_env
