program find_qt_val
  use sep
  use util_axisIO
  use norm_mod

  implicit none
  
  integer ::n,n1,n2
  type(myaxis) axis1,axis2
  
  real, allocatable, dimension (:) :: m
  real :: qnt, val

  call sep_init()
  call hinaxis(axis1,1);
  call hinaxis(axis2,2)
  n1 = axis1%n; n2 = axis2%n;
  
  print *, 'n1=',n1,'n2=',n2

  call from_param('qnt',qnt,1.0)
  
  write(0,*) 'qnt=',qnt
  
  n = n1 * n2

  ALLOCATE(m(n))
  call sep_read(m)
  val = quantile(int(qnt*n),m)

  write(0,*) 'value at ', qnt*100, 'percentile is ', val
  
  call houtaxis(axis1,1)
  call houtaxis(axis2,2)
  call sep_write(m)

  deallocate(m)
  call sep_close()
end program find_qt_val
