module chain_mod_1

 implicit none
 logical, parameter, private :: T=.true. , F=.false.
 
 contains
   subroutine row0(op1,op2,adj,add,m1,m2,d,eps) ! d = A m1 + eps B m2
     interface
        integer function op1(adj,add,m,d)
          real, dimension(:) :: m,d
          logical, intent(in) :: adj,add
        end function op1

        integer function op2(adj,add,m,d)
          real, dimension(:) :: m,d
          logical, intent(in) :: adj,add
        end function op2

       end interface
       logical, intent(in) :: adj,add
       real, dimension(:) :: m1,m2,d
       real :: eps
       integer ::st

       if (adj) then
          st = op1(T,add,m1,d)
          st = op2(T,add,m2,eps*d)
       else
          st = op1(F,add,m1,d)
          st = op2(F,T,eps*m2,d)
       end if
     end subroutine row0
     
     subroutine chain0(op1,op2,adj,add,m,d,t1)  ! d = op1 ( op2 ( m ) )
       interface
          integer function op1(adj,add,m,d)
            real, dimension(:) :: m,d
            logical, intent(in) :: adj,add
          end function op1

          integer function op2(adj,add,m,d)
            real, dimension(:) :: m,d
            logical, intent(in) :: adj,add
          end function op2
       end interface

       logical, intent(in) :: adj,add
       real, dimension(:) :: m,d,t1
       integer :: st
       if (adj) then
          st = op1(T, F, t1, d)
          st = op2(T, add,m, t1)
       else
          st = op2(F, F,    m, t1)
          st = op1(F, add, t1,  d)
       end if
     end subroutine chain0
end module chain_mod_1

