program bubble
  use sep
  use util_axisIO

  implicit none


  integer :: naxis,n1,n2,i,j
  type(myaxis)  axis1, axis2, axis3
  ! <in.H bubble > out.H pad=pad_times
  ! pad_times means to pad as n times as input length 0 after input data BEFORE inverse.
  !           That will affect the negtive time casued the Periodicity



 

  real, dimension(:,:), allocatable :: d,output
  integer :: shift
  
   character(len=256) :: csz_shift

  csz_shift = "shift"


   !Params
  call sep_init()


  call from_param (csz_shift, shift, 0)


  call hinaxis(axis1,1)
  call hinaxis(axis2,2)
  call hinaxis(axis3,3)
  n2=n2*axis3%n

  axis1%d=1.0


  n1 = axis1%n; n2 = axis2%n
  if (axis3%n .gt. 1) then
    n2=n2*axis3%n
  end if

  write(0,*) " <in.H shift shift=0 > out.H "
  ! pad_times means to pad as n times as input length 0 after input data BEFORE inverse.
  !           That will affect the negtive time casued the Periodicity








  if (n1.le.1 .and. n2.le.1) then
    write(0,*) "n1 and n2 <= 0"
    stop
  end if

  allocate (d(n1,n2))
  
  allocate (output(n1,n2))
 

  call sep_read(d)

  if (shift.eq.0) then
    shift=n1/2
  end if

  if (abs(shift).ge.n1) then
    write(0,*) "abs(shift).ge.n1",abs(shift),n1
    stop
  end if
  !
  !flip
  if (shift.gt.1) then
    output(n1-shift+1:n1,:)=d(1:shift,:)
    output(1:n1-shift,:)=d(shift+1:n1,:)
  else
    d(n1-shift+1:n1,:)=output(1:shift,:)
    d(1:n1-shift,:)=output(shift+1:n1,:)
  end if


 

  call sep_write(output)
  deallocate(d,output)

  call sep_close()
end program
